from fastapi.routing import APIRouter

from control_backend.api.v1.endpoints import button_pressed, logs, message, program, robot, sse

api_router = APIRouter()

api_router.include_router(message.router, tags=["Messages"])

api_router.include_router(sse.router, tags=["SSE"])

api_router.include_router(robot.router, prefix="/robot", tags=["Pings", "Commands"])

api_router.include_router(logs.router, tags=["Logs"])

api_router.include_router(program.router, tags=["Program"])

api_router.include_router(button_pressed.router, tags=["Button Pressed Events"])
